"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GraphqlQueryView = void 0;
var _react = _interopRequireDefault(require("react"));
var _fi = require("react-icons/fi");
var _reactBootstrap = require("react-bootstrap");
var _reactCodemirror = _interopRequireDefault(require("@uiw/react-codemirror"));
var _codemirrorThemeOkaidia = require("@uiw/codemirror-theme-okaidia");
var _langJavascript = require("@codemirror/lang-javascript");
var _view = require("@codemirror/view");
var _utils = require("../utils");
var _langJson = require("@codemirror/lang-json");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// i have to fix this anbd update to codemiro 6
var GraphqlQueryView = function GraphqlQueryView(_ref) {
  var queryToDisplay = _ref.queryToDisplay,
    start = _ref.start,
    limit = _ref.limit,
    queryFilters = _ref.queryFilters,
    queryOrders = _ref.queryOrders;
  var variablesObj = JSON.stringify({
    "offset": start,
    "limit": limit,
    "orderBy": queryOrders || {},
    "filter": queryFilters || {}
  }, null, 4);
  var copyTest = function copyTest(text) {
    (0, _utils.copyToClipboard)(text);
  };
  var basicSetup = {
    EditorView: {
      lineNumbers: true,
      lineWrapping: true,
      indentWithTabs: false
    }
  };
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy grapl query",
    onClick: function onClick() {
      copyTest(queryToDisplay);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror["default"], {
    basicSetup: basicSetup,
    readOnly: true,
    theme: _codemirrorThemeOkaidia.okaidia,
    extensions: [(0, _langJavascript.javascript)(), _view.EditorView.lineWrapping],
    value: queryToDisplay,
    className: "readOnly"
  }), /*#__PURE__*/_react["default"].createElement("hr", null), /*#__PURE__*/_react["default"].createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    title: "copy variables",
    onClick: function onClick() {
      copyTest(variablesObj);
    }
  }, /*#__PURE__*/_react["default"].createElement(_fi.FiCopy, null))), /*#__PURE__*/_react["default"].createElement(_reactCodemirror["default"], {
    minHeight: "150px",
    indentWithTab: false,
    readOnly: true,
    theme: _codemirrorThemeOkaidia.okaidia,
    extensions: [(0, _langJson.json)(), _view.EditorView.lineWrapping],
    value: variablesObj,
    className: "readOnly"
  }));
};
exports.GraphqlQueryView = GraphqlQueryView;